All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Compare Image Difference With Constant Within Epsilon Operations
Comparison Operations

Compare differences between image pixels and constant within an epsilon value and create a binary result image. More...

## Functions

NppStatus | nppiCompareEqualEpsC_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image compare whether image and constant are equal within epsilon. More...
NppStatus | nppiCompareEqualEpsC_32f_C1R (const Npp32f *pSrc, int nSrcStep, const Npp32f nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)
NppStatus | nppiCompareEqualEpsC_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image compare whether image and constant are equal within epsilon. More...
NppStatus | nppiCompareEqualEpsC_32f_C3R (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)
NppStatus | nppiCompareEqualEpsC_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image compare whether image and constant are equal within epsilon. More...
NppStatus | nppiCompareEqualEpsC_32f_C4R (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)
NppStatus | nppiCompareEqualEpsC_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed floating point compare whether image and constant are equal within epsilon, not affecting Alpha. More...
NppStatus | nppiCompareEqualEpsC_32f_AC4R (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)

## Detailed Description

Compare differences between image pixels and constant within an epsilon value and create a binary result image.

In case of multi-channel image types, the condition must be fulfilled for all channels, otherwise the comparison is considered false. The "binary" result image is of type 8u_C1. False is represented by 0, true by NPP_MAX_8U.

### Common parameters for nppiCompareEqualEpsC functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  nConstant | constant value for single channel functions.
  pConstants | pointer to a list of constants, one per color channel for multi-channel image functions.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nEpsilon | epsilon tolerance value to compare to per color channel pixel absolute differences
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCompareEqualEpsC_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEpsC_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed floating point compare whether image and constant are equal within epsilon, not affecting Alpha.

Compare pSrc's pixels with constant value to determine whether they are equal within a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEpsC functions.

NppStatus nppiCompareEqualEpsC_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEpsC_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image compare whether image and constant are equal within epsilon.

Compare pSrc's pixels with constant value to determine whether they are equal within a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEpsC functions.

NppStatus nppiCompareEqualEpsC_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEpsC_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image compare whether image and constant are equal within epsilon.

Compare pSrc's pixels with constant value to determine whether they are equal within a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEpsC functions.

NppStatus nppiCompareEqualEpsC_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEpsC_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image compare whether image and constant are equal within epsilon.

Compare pSrc's pixels with constant value to determine whether they are equal within a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEpsC functions.

Copyright © 2009-2019 NVIDIA Corporation